#
# spec file for package python-rawkit
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-rawkit
Version:        0.6.0
Release:        bp153.1.19
Summary:        CTypes based LibRaw bindings
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/photoshell/rawkit
Source0:        https://files.pythonhosted.org/packages/source/r/rawkit/rawkit-%{version}.tar.gz
Patch0:         python37.patch
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
The rawkit (pronounced rocket) module is a ctypes-based LibRaw
binding for Python inspired by the Wand API.

%prep
%setup -q -n rawkit-%{version}
%autopatch -p1

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/*

%changelog
* Wed Aug 21 2019 Tomáš Chvátal <tchvatal@suse.com>
- Fix test run
* Wed Aug 29 2018 tchvatal@suse.com
- Update to 0.6.0:
  * Support for libraw 1.8
- Add patch to build with python 3.7:
  * python37.patch
* Fri Jul  7 2017 aloisio@gmx.com
- Initial package (0.5.0)
